#!/usr/bin/perl -wT
#
#     ESJ 電子投票システム
#
#      2011 Takenaka, A.
#  Rev 2013-09-21 TAKENAKA, A.

use strict;
use warnings;
use utf8;

use CGI;
use Encode;
use HTML::Template;
# use CGI::Carp('fatalsToBrowser');

#=comment
use lib qw(/var/www/vhosts/esj.ne.jp/httpdocs/pm);
use ESJ::Util;
use ESJ::Office;
#=cut


my $charset = "UTF-8";

my $Data = new CGI; #   CGI オブジェクトを取得。global 変数。
$Data->charset($charset);
print $Data->header(-type=>"text/html");

my $time_to_start = &ESJ::Office::get_e_vote_start();

# print $time_to_start;

#=comment
unless (&ESJ::Util::is_to_start($time_to_start)) {
	&ESJ::Util::show_not_yet_message('日本生態学会　電子選挙の投票');
	exit();
}
#=cut

my $time_limit = &ESJ::Office::get_e_vote_limit();

unless (&ESJ::Util::is_within_time_limit($time_limit)) {
	&ESJ::Util::show_expiry_message('日本生態学会　電子選挙の投票');
	exit();
}


my $tmpl_file = 'step_1.html';

open (my $handle, "<:utf8", $tmpl_file ) || die;
my $tmpl = HTML::Template->new( filehandle => $handle );
close $handle;

# $tmpl->param(time_limit => $time_limit);

print $tmpl->output;
